Debian Bug report logs - #558455
sound-juicer: Unnecessary Depends on hal

version graph

Package: sound-juicer; Maintainer for sound-juicer is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for sound-juicer is src:sound-juicer.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 29 Nov 2009 03:06:01 UTC

Severity: normal

Found in version sound-juicer/2.28.1-1

Fixed in version sound-juicer/2.28.1-2

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Ross Burton <ross@debian.org>:
Bug#558455; Package sound-juicer. (Sun, 29 Nov 2009 03:06:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sound-juicer: Unnecessary Depends on hal
Date: Sat, 28 Nov 2009 19:02:13 -0800
Package: sound-juicer
Version: 2.28.1-1
Severity: normal

sound-juicer depends on hal.  However, according to upstream,
sound-juicer no longer needs HAL.  Please drop the dependency.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sound-juicer depends on:
ii  gconf2                        2.28.0-1   GNOME configuration database syste
ii  gstreamer0.10-plugins-base    0.10.25-6  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.17-1  GStreamer plugins from the "good" 
ii  hal                           0.5.13-6   Hardware Abstraction Layer
ii  libatk1.0-0                   1.28.0-1   The ATK accessibility toolkit
ii  libbrasero-media0             2.28.2-1   CD/DVD burning library for GNOME -
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libcanberra-gtk0              0.22-1     Gtk+ helper for playing widget eve
ii  libcdio10                     0.81-4     library to read and control CD-ROM
ii  libdbus-glib-1-2              0.82-2     simple interprocess messaging syst
ii  libgconf2-4                   2.28.0-1   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.22.2-2   The GLib library of C routines
ii  libgnome-media0               2.28.1-1   runtime libraries for the GNOME me
ii  libgstreamer0.10-0            0.10.25-3  Core GStreamer libraries and eleme
ii  libgtk2.0-0                   2.18.3-1   The GTK+ graphical user interface 
ii  libmusicbrainz4c2a            2.1.5-2    Second generation incarnation of t
ii  libpango1.0-0                 1.26.1-1   Layout and rendering of internatio

Versions of packages sound-juicer recommends:
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer

Versions of packages sound-juicer suggests:
ii  brasero                       2.28.2-1   CD/DVD burning application for GNO
pn  gstreamer0.10-lame            <none>     (no description available)
pn  gstreamer0.10-plugins-really- <none>     (no description available)
ii  gstreamer0.10-plugins-ugly    0.10.13-2  GStreamer plugins from the "ugly" 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, pedrib@gmail.com, Ross Burton <ross@debian.org>:
Bug#558455; Package sound-juicer. (Wed, 27 Jan 2010 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pedro R <pedrib@gmail.com>:
Extra info received and forwarded to list. Copy sent to pedrib@gmail.com, Ross Burton <ross@debian.org>. (Wed, 27 Jan 2010 19:39:04 GMT) Full text and rfc822 format available.

Message #8 received at 558455@bugs.debian.org (full text, mbox):

From: Pedro R <pedrib@gmail.com>
To: Debian Bug Tracking System <558455@bugs.debian.org>
Subject: Re: HAL is being deprecated
Date: Wed, 27 Jan 2010 19:35:09 +0000
Package: sound-juicer
Version: 2.28.1-1
Severity: normal

HAL is being deprecated, so this dependency makes even less sense. 

Most of HAL is ironed out of testing, can you please remove this dependency before testing freezes?

Regards


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (700, 'testing'), (650, 'unstable'), (600, 'experimental'), (500, 'testing-proposed-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-rc5 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sound-juicer depends on:
ii  gconf2                      2.28.0-1     GNOME configuration database syste
ii  gstreamer0.10-plugins-base  0.10.25-7    GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good  0.10.17-1    GStreamer plugins from the "good" 
ii  hal                         0.5.14-1     Hardware Abstraction Layer
ii  libatk1.0-0                 1.28.0-1     The ATK accessibility toolkit
ii  libbrasero-media0           2.28.3-2     CD/DVD burning library for GNOME -
ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
ii  libcanberra-gtk0            0.22-1       Gtk+ helper for playing widget eve
ii  libcdio10                   0.81-4       library to read and control CD-ROM
ii  libdbus-glib-1-2            0.82-2       simple interprocess messaging syst
ii  libgconf2-4                 2.28.0-1     GNOME configuration database syste
ii  libglade2-0                 1:2.6.4-1    library to load .glade files at ru
ii  libglib2.0-0                2.22.4-1     The GLib library of C routines
ii  libgnome-media0             2.28.1-1     runtime libraries for the GNOME me
ii  libgstreamer0.10-0          0.10.25-4+b1 Core GStreamer libraries and eleme
ii  libgtk2.0-0                 2.18.3-1     The GTK+ graphical user interface 
ii  libmusicbrainz4c2a          2.1.5-4      Second generation incarnation of t
ii  libpango1.0-0               1.26.2-1     Layout and rendering of internatio

Versions of packages sound-juicer recommends:
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer

Versions of packages sound-juicer suggests:
ii  brasero                       2.28.3-2   CD/DVD burning application for GNO
pn  gstreamer0.10-lame            <none>     (no description available)
pn  gstreamer0.10-plugins-really- <none>     (no description available)
ii  gstreamer0.10-plugins-ugly    0.10.13-2  GStreamer plugins from the "ugly" 

-- no debconf information




Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 27 Jan 2010 20:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#558455; Package sound-juicer. (Sat, 30 Jan 2010 12:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu27@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Sat, 30 Jan 2010 12:27:10 GMT) Full text and rfc822 format available.

Message #15 received at 558455@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu27@gmail.com>
To: Pedro R <pedrib@gmail.com>, 558455@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#558455: HAL is being deprecated
Date: Sat, 30 Jan 2010 13:22:37 +0100
tag 558455 + pending
thanks

On 27/01/10 20:35, Pedro R wrote:
> Package: sound-juicer
> Version: 2.28.1-1
> Severity: normal
>
> HAL is being deprecated, so this dependency makes even less sense.
>
> Most of HAL is ironed out of testing, can you please remove this dependency before testing freezes?

Yes, we will.

Emilio




Reply sent to Emilio Pozuelo Monfort <pochu@debian.org>:
You have taken responsibility. (Sat, 06 Feb 2010 11:21:03 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Sat, 06 Feb 2010 11:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 558455-close@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: 558455-close@bugs.debian.org
Subject: Bug#558455: fixed in sound-juicer 2.28.1-2
Date: Sat, 06 Feb 2010 11:18:37 +0000
Source: sound-juicer
Source-Version: 2.28.1-2

We believe that the bug you reported is fixed in the latest version of
sound-juicer, which is due to be installed in the Debian FTP archive:

sound-juicer_2.28.1-2.diff.gz
  to main/s/sound-juicer/sound-juicer_2.28.1-2.diff.gz
sound-juicer_2.28.1-2.dsc
  to main/s/sound-juicer/sound-juicer_2.28.1-2.dsc
sound-juicer_2.28.1-2_i386.deb
  to main/s/sound-juicer/sound-juicer_2.28.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emilio Pozuelo Monfort <pochu@debian.org> (supplier of updated sound-juicer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Feb 2010 11:37:30 +0100
Source: sound-juicer
Binary: sound-juicer
Architecture: source i386
Version: 2.28.1-2
Distribution: unstable
Urgency: low
Maintainer: Ross Burton <ross@debian.org>
Changed-By: Emilio Pozuelo Monfort <pochu@debian.org>
Description: 
 sound-juicer - GNOME CD Ripper
Closes: 558455
Changes: 
 sound-juicer (2.28.1-2) unstable; urgency=low
 .
   * debian/control.in:
     - Stop depending on hal, it's no longer needed. Closes: #558455.
   * Standards-Version is 3.8.4, no changes needed.
Checksums-Sha1: 
 d210b6fb3667a60310bc225bd005d11659b4b839 1843 sound-juicer_2.28.1-2.dsc
 284308912edb9893512c1cd6c27ecaea0c7b74dc 9150 sound-juicer_2.28.1-2.diff.gz
 3e511ea141dce4e0c3936c97a5a5a18309c1bdbf 1850814 sound-juicer_2.28.1-2_i386.deb
Checksums-Sha256: 
 f57775e09d79517673015caa78d3539b9b5d7956d48724091e4e62276f449654 1843 sound-juicer_2.28.1-2.dsc
 a3deac7546a527b9f06f63d2be01ea9140d2bc3bc2a5a843612282916938e314 9150 sound-juicer_2.28.1-2.diff.gz
 f1ef36d4671b25621d08248ce8cbb96d176035f86e80e6c60f8aecedd06ef0a1 1850814 sound-juicer_2.28.1-2_i386.deb
Files: 
 c4a6375ab20449eb285ab1a04134a5fa 1843 sound optional sound-juicer_2.28.1-2.dsc
 81e271dc7119d74b0f8d3ac28ce7fa31 9150 sound optional sound-juicer_2.28.1-2.diff.gz
 757f30012af701a7bf074a5c1c2d07b5 1850814 sound optional sound-juicer_2.28.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkttTfIACgkQhTV17EoIsv6qQgCgz7ybGXC4HjV+EZkBSepNbY+O
KogAn1gbEt/7bs60LjV7tLTDyhSer2x0
=5SPM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Mar 2010 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:15:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.